# ai_info.cpp File Reference

Implementation of AIFileInfo. More...

`#include "../stdafx.h"`
`#include <squirrel.h>`
`#include "../script/squirrel.hpp"`
`#include "../script/squirrel_helper.hpp"`
`#include "ai_info.hpp"`
`#include "ai_scanner.hpp"`
`#include "../settings_type.h"`
`#include "../openttd.h"`
`#include "../debug.h"`
`#include "../rev.h"`

Go to the source code of this file.

## Functions

static bool | CheckAPIVersion (const char *api_version)

## Variables

AIConfigItem | _start_date_config

## Detailed Description

Implementation of AIFileInfo.

Definition in file ai_info.cpp.

## Variable Documentation

AIConfigItem _start_date_config

Initial value:

     {
      "start_date",
      "The amount of days after the start of the last AI, this AI will start (give or take).",
      AI::START_NEXT_MIN,
      AI::START_NEXT_MAX,
      AI::START_NEXT_MEDIUM,
      AI::START_NEXT_EASY,
      AI::START_NEXT_MEDIUM,
      AI::START_NEXT_HARD,
      AI::START_NEXT_DEVIATION,
      30,
      AICONFIG_NONE,
      NULL
    }

Definition at line 24 of file ai_info.cpp.